MCP Gateway
ApiProviders

Get provider

Get a single provider configuration by its UUID.

GET
/api/v1/settings/providers/{provider_id}

Path Parameters

provider_id*string
Formatuuid

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/settings/providers/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "provider_type": "llm",
  "provider": "string",
  "display_name": "string",
  "model": "string",
  "has_api_key": true,
  "api_key_masked": "string",
  "needs_reconfiguration": false,
  "endpoint": "string",
  "config": {},
  "is_active": true,
  "connection_verified": true,
  "connection_verified_at": "2019-08-24T14:15:22Z",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}